### Class

# Aravis GvFakeCamera

#### Description [src]

    final class Aravis.GvFakeCamera : GObject.Object
    {
      /* No available fields */
    }

`ArvGvFakeCamera` is a class that simulates a real GigEVision camera.

#### Ancestors

- GObject

#### Constructors

###### arv_gv_fake_camera_new

No description available.

since: 0.8.0

###### arv_gv_fake_camera_new_full

No description available.

since: 0.8.0

#### Instance methods

###### arv_gv_fake_camera_get_fake_camera

Retrieves the underlying `ArvFakeCamera` object owned by `gv_fake_camera`.

since: 0.8.0

###### arv_gv_fake_camera_is_running

No description available.

since: 0.8.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Aravis.GvFakeCamera:genicam-filename

No description available.

###### Aravis.GvFakeCamera:gvsp-lost-ratio

No description available.

###### Aravis.GvFakeCamera:interface-name

No description available.

###### Aravis.GvFakeCamera:serial-number

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct AravisGvFakeCameraClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.